Open CASCADE Technology: StepGeom_ReparametrisedCompositeCurveSegment Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepGeom_ReparametrisedCompositeCurveSegment Class Reference

`#include <StepGeom_ReparametrisedCompositeCurveSegment.hxx>`

Inheritance diagram for StepGeom_ReparametrisedCompositeCurveSegment:
[legend]

## Public Member Functions
| StepGeom_ReparametrisedCompositeCurveSegment ()
| Returns a ReparametrisedCompositeCurveSegment. More...
virtual void | Init (const StepGeom_TransitionCode aTransition, const Standard_Boolean aSameSense, const Handle< StepGeom_Curve > &aParentCurve)
virtual void | Init (const StepGeom_TransitionCode aTransition, const Standard_Boolean aSameSense, const Handle< StepGeom_Curve > &aParentCurve, const Standard_Real aParamLength)
void | SetParamLength (const Standard_Real aParamLength)
Standard_Real | ParamLength () const
Public Member Functions inherited from StepGeom_CompositeCurveSegment
| StepGeom_CompositeCurveSegment ()
| Returns a CompositeCurveSegment. More...
void | SetTransition (const StepGeom_TransitionCode aTransition)
StepGeom_TransitionCode | Transition () const
void | SetSameSense (const Standard_Boolean aSameSense)
Standard_Boolean | SameSense () const
void | SetParentCurve (const Handle< StepGeom_Curve > &aParentCurve)
Handle< StepGeom_Curve > | ParentCurve () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

StepGeom_ReparametrisedCompositeCurveSegment::StepGeom_ReparametrisedCompositeCurveSegment | ( |  | ) |

Returns a ReparametrisedCompositeCurveSegment.

## Member Function Documentation

virtual void StepGeom_ReparametrisedCompositeCurveSegment::Init | ( | const StepGeom_TransitionCode | aTransition,
|  | const Standard_Boolean | aSameSense,
|  | const Handle< StepGeom_Curve > & | aParentCurve
| ) |  |
| virtual

Reimplemented from StepGeom_CompositeCurveSegment.

virtual void StepGeom_ReparametrisedCompositeCurveSegment::Init | ( | const StepGeom_TransitionCode | aTransition,
|  | const Standard_Boolean | aSameSense,
|  | const Handle< StepGeom_Curve > & | aParentCurve,
|  | const Standard_Real | aParamLength
| ) |  |
| virtual

Standard_Real StepGeom_ReparametrisedCompositeCurveSegment::ParamLength | ( |  | ) | const

void StepGeom_ReparametrisedCompositeCurveSegment::SetParamLength | ( | const Standard_Real | aParamLength | ) |

The documentation for this class was generated from the following file:

- StepGeom_ReparametrisedCompositeCurveSegment.hxx